player = {}
playerInventory = {}

function player.load()
	player.x = 300
	player.y = 350
	player.xVel = 0
	player.yVel = 0	
	player.friction = 6
	player.speed = 100
	player.jumpH = 500
	player.grav = 1000
	player.facingR = true
	player.inter = false
	player.inInv = false
	player.devMod = false
	cheat = nil
	
	player.WalkingSSR = love.graphics.newImage('Textures/Players/Male/WalkingMaleRSS.png')
	player.WalkingSSL = love.graphics.newImage('Textures/Players/Male/WalkingMaleLSS.png')
	player.img = love.graphics.newImage('Textures/Players/Male/StandingMaleR.png')
	player.inventoryImg = love.graphics.newImage('Textures/Players/Inventory.png')
	player.animR = newAnimation(player.WalkingSSR, 160, 220, 0.2, 0)
	player.animL = newAnimation(player.WalkingSSL, 160, 220, 0.2, 0)
end

function playerInventory.load()
	playerInventory.pencil = false
end

function player.update(dt)
	--Направление
	if love.keyboard.isDown('right') then
		player.facingR = true
	elseif love.keyboard.isDown('left') then
		player.facingR = false
	end
	if player.facingR == true then
		player.img = love.graphics.newImage('Textures/Players/Male/StandingMaleR.png')
	else
		player.img = love.graphics.newImage('Textures/Players/Male/StandingMaleL.png')
	end
	player.x = player.x + player.xVel
	player.xVel = player.xVel * (1 - math.min(dt * player.friction, 1))
	--Ходьба вправо
	if love.keyboard.isDown('right') and
	player.xVel < player.speed then
		player.xVel = player.xVel + player.speed * dt
		animate = true
	end
	--Ходьба влево
	if love.keyboard.isDown('left') and
	player.xVel > -player.speed then
		player.xVel = player.xVel - player.speed * dt
		animate = true
	end
	--Прыжок
	if player.yVel ~= 0 then
		player.y = player.y - player.yVel * dt
		player.yVel = player.yVel - player.grav * dt
		if player.y > 350 then
			player.yVel = 0
			player.y = 350
			elseif player.y < 350 then
				if player.facingR then
					player.img = love.graphics.newImage('Textures/Players/Male/JumpingMaleR.png')
				else
					player.img = love.graphics.newImage('Textures/Players/Male/JumpingMaleL.png')
				end
		end
	end
	function player.jump(key)
		if key == ' ' and player.yVel == 0 then
			player.yVel = player.jumpH
		end
	end
	--Инвентарь
	function player.inventory(key)
		if key == 'down' then
			player.inInv = not player.inInv
		end
	end
	--Интеракция
	function player.interaction(key)
		if key == 'up' then
			player.inter = true
		else
			player.inter = false
		end
	end
	--Dev tools
	function player.devTools(key)
		if key == 'v' and love.keyboard.isDown('d') and love.keyboard.isDown('e') then
			player.devMod = not player.devMod
		end
	end
	--Границы
	if world.inW1 and player.x < 1060 and player.y < 260 then
		player.y = 260
	end
	if world.inW1 and player.x < 200 then
		player.x = 200
	end
	if world.inW2 and player.y < 260 then
		player.y = 260
	end
	if world.inW2 and player.x > 910 then
		player.x = 910
	end
	if world.inW2 and player.x < 590 then
		player.x = 590
	end
end

function player.draw()
	if love.keyboard.isDown('right') and not love.keyboard.isDown('left') and player.y == 350 then
		player.animR:draw(player.x, player.y)
	elseif love.keyboard.isDown('left') and not love.keyboard.isDown('right') and player.y == 350 then
		player.animL:draw(player.x, player.y)
	else
		love.graphics.draw(player.img, player.x, player.y)
	end
end

function player.drawInv()
	if player.inInv then
		love.graphics.draw(player.inventoryImg, 0, 0)
	end
end