world = {}
props = {}
event = {}
music = {}
sound = {}

function world.load()
	world.inW1 = true	--Дом
	world.inW2 = false	--Вторая комната дома
	world.inW3 = false	--Равнина 1
	world.inW4 = false	--Ларёк
	world.current = 'W1'
	world.house = love.graphics.newImage('Textures/Surroundings/House.png')
	world.houseF = love.graphics.newImage('Textures/Surroundings/HouseF.png')
	world.house2 = love.graphics.newImage('Textures/Surroundings/House2.png')
	world.house2F = love.graphics.newImage('Textures/Surroundings/House2F.png')
	world.booth = love.graphics.newImage('Textures/Surroundings/Booth.png')
	world.platform = love.graphics.newImage('Textures/Surroundings/Platforms/PlatformOutside.png')
	world.background = love.graphics.newImage('Textures/Surroundings/Backgrounds/BackgroundOutside.png')
	world.meteor = love.graphics.newImage('Textures/Surroundings/Meteor.png')
	world.meteorAnim = newAnimation(world.meteor, 1280, 600, 0.1, 0)
	world.meteorAnim:setMode('once')
	
	props.pencilImg = love.graphics.newImage('Textures/Props/Pencil.png')
	
	event.booth = true
	event.boothDoable = true
	event.dialog1Img = love.graphics.newImage('Textures/Dialogs/Dialog1.png')
	event.meteor = false
	event.meteorDoable = true
	
	music.home = love.audio.newSource('Sound/Music/Home.mp3')
	music.home:setVolume(0.3)
	music.noEvent = true
	
	sound.meteor = love.audio.newSource('Sound/Effects/Meteor.mp3')
end

function world.drawB()
	love.graphics.draw(world.background, 0, 0)
	love.graphics.draw(world.platform, 0, 0)
	if world.inW1 then
		love.graphics.draw(world.house, 0, 0)
	elseif world.inW2 then
		love.graphics.draw(world.house2, 0, 0)
	elseif world.inW3 then
		if event.meteor then
			world.meteorAnim:draw(0, 0)
		end
	elseif world.inW4 then
		love.graphics.draw(world.booth, 0, 0)
		if event.dialog1 then
			love.graphics.draw(event.dialog1Img, 0, 0)
		end
	end
end

function world.drawF()
	if world.inW1 then
		love.graphics.draw(world.houseF, 0, 0)
	end
	if world.inW2 then
		love.graphics.draw(world.house2F, 0, 0)
	end
end

function world.update()
	--Пограничные перемещения
	if player.x > 1280 then
		if world.inW1 then
			world.inW1 = false
			world.inW3 = true
			player.x = -50
		elseif world.inW3 then
			world.inW3 = false
			world.inW4 = true
			player.x = -50
		end
	end
	if player.x < -50 then
		if world.inW3 then
			world.inW3 = false
			world.inW1 = true
			player.x = 1280
		elseif world.inW4 then
			world.inW4 = false
			world.inW3 = true
			player.x = 1280
		end
	end
	--Внутримировые перемещения
	if player.inter then
		if world.inW1 and 
		player.x > 740 and player.x < 900 then 
			world.inW1 = false
			world.inW2 = true
			player.inter = false
		elseif world.inW2 and 
		player.x > 740 and player.x < 900 then 
			world.inW2 = false
			world.inW1 = true
			player.inter = false
		end
	end
	--Events
	if world.inW4 and event.booth and player.x > 700 and player.inter and event.boothDoable then
		event.boothDoable = false
		event.dialog1 = true
		event.meteor = true
	end
	if world.inW3 and event.meteor and event.meteorDoable then
		sound.meteor:play()
		event.meteorDoable = false
	end
	--Детектор мира
	if world.inW1 then
		world.current = 'W1'
	elseif world.inW2 then
		world.current = 'W2'
	elseif world.inW3 then
		world.current = 'W3'
	elseif world.inW4 then
		world.current = 'W4'
	end
end